<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Ploting KRS</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>

                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" th:action="@{/studiesActivity/krs/paket}">
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <label>Kelas</label>
                                    <select class="form-control js-example-placeholder-single"
                                            style="width: 100%!important;" name="kelas">
                                        <option></option>
                                        <option th:each="data : ${kelas}" th:selected="(${data} == *{selected})"
                                                th:text="${data.namaKelas}" th:value="${data.id}"></option>

                                    </select>
                                </div>
                            </div>
                            <div class="row" style="padding-top: 10px; padding-bottom: 20px;">
                                <div class="col-md-12" style="text-align: center;">
                                    <button type="submit" class="btn btn-info">Generate KRS</button>
                                </div>
                            </div>
                        </form>

                        <div class="card shadow" th:if="${selected != null}">
                            <div class="card-header border-0">
                                <h3 class="mb-0">Generate KRS</h3>
                            </div>
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">NIM</th>
                                        <th scope="col">Nama</th>
                                        <th scope="col">Kelas</th>
                                        <th scope="col">Matakuliah</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    <tr th:each="data,row : ${mahasiswaList}" th:if="${kosong == null}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.nim}">Edinburgh</td>
                                        <td th:text="${data.nama}">61</td>
                                        <td th:text="${data.kelas}">61</td>
                                        <td>
                                            <button type="button" class="btn btn-info btn-sm" data-toggle="modal" th:data-target="${'#modal-list-matkul'+data.id}">Detail Matakuliah</button>
                                            <div class="modal fade" th:id="${'modal-list-matkul'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal- modal-lg modal-dialog-centered" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Detail Matakuliah</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
<!--                                                            <h2>Histori Komentar</h2>-->
                                                            <table class="table align-items-center table-flush">
                                                                <thead class="thead-light">
                                                                <tr>
                                                                    <th>#</th>
                                                                    <th>Kode Matakuliah</th>
                                                                    <th>Matakuliah</th>
                                                                    <th>Dosen</th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr th:each="jadwal,row : ${data.jadwals}">
                                                                    <td th:text="${(row.index + 1)}">1</td>
                                                                    <td th:text="${jadwal.matakuliahKurikulum.matakuliah.kodeMatakuliah}"></td>
                                                                    <td th:text="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}"></td>
                                                                    <td th:text="${jadwal.dosen.karyawan.namaKaryawan}">PATRICK STAR</td>
                                                                </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        </td>
                                    </tr>

                                    <tr th:if="${kosong != null}">
                                        <td colspan="4">Tidak Ada Mahasiswa yang terdaftar di kelas</td>
                                    </tr>

                                    </tbody>
                                </table>


                            </div>
                        </div>
                        <br><br>
                        <div class="card shadow" th:if="${selected != null && !#lists.isEmpty(mahasiswaNoKrs)}">
                            <div class="card-header border-0">
                                <h3 class="mb-0">Mahasiswa yang tidak tergenerate krs</h3>
                            </div>
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">NIM</th>
                                        <th scope="col">Nama</th>
                                        <th scope="col">Kelas</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    <tr th:each="data,row : ${mahasiswaNoKrs}" th:if="${kosong == null}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.nim}">Edinburgh</td>
                                        <td th:text="${data.nama}">61</td>
                                        <td th:text="${data.kelas}">61</td>
                                    </tr>

                                    </tbody>
                                </table>


                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->

    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    (function($){
        $('#select2-kelas').select2();

        $('#select2-kelas').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#isiPlotKelas').val(e.params.args.data.id);
        });
    })(jQuery);

    function myKelas() {
        let dropdown = $('#locality-dropdown');

        dropdown.empty();

        dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiKelas').val())
        const url = '/api/plotingMatkul?id='+$('#isiPlotKelas').val();

        // Populate dropdown with list of provinces
        $.getJSON(url, function (data) {

            $.each(data, function (key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.matakuliah));
            })
        });
    }

    $(function () {
        $('[data-toggle="popover"]').popover()
    })
    $('.popover-dismiss').popover({
        trigger: 'focus'
    })
</script>